Skip to main content
GET
Get trader portfolio values

Authorizations

Authorization
string
header
required

Bearer access token issued by /v1/auth/* login endpoints.

Path Parameters

trader_pubkey
string
required

Trader public key (base58 encoded)

Query Parameters

resolution
string
required

Resolution/timeframe: 1m (testing only), 15m, 30m, 1h, 4h, 1d, 1w, 1M (month)

startTime
integer<int64>

Start time in milliseconds since Unix epoch (max range: 1 year)

endTime
integer<int64>

End time in milliseconds since Unix epoch (max range: 1 year)

limit
integer<int64>

Max number of data points (default: 1440, max: 2000)

Response

200 - application/json
endTime
integer<int64>
required

End time in seconds since Unix epoch

startTime
integer<int64>
required

Start time in seconds since Unix epoch

timestamp
integer<int64>
required

Deprecated: Unix timestamp in seconds.

value
number<double>
required

Portfolio value as a floating-point number

positions
null | object

Positions snapshot for this point in time